Bug 1322532 - [Nimble Storage] no_path_retry not working as expected with active/passive arrays when tur path checker is used. [NEEDINFO]
Summary: [Nimble Storage] no_path_retry not working as expected with active/passive ar...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: device-mapper-multipath
Version: 6.7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: 6.9
Assignee: Ben Marzinski
QA Contact: Lin Li
Milan Navratil
URL:
Whiteboard:
Depends On: 1291406
Blocks: 1324930 1414128
TreeView+ depends on / blocked
 
Reported: 2016-03-30 16:30 UTC by Ben Marzinski
Modified: 2017-03-21 10:49 UTC (History)
13 users (show)

Fixed In Version: device-mapper-multipath-0.4.9-94.el6
Doc Type: No Doc Update
Doc Text:
*device-mapper-multipath* now supports the `max_sectors_kb` configuration parameter With this update, *device-mapper-multipath* provides a new `max_sectors_kb` parameter in the defaults, devices, and multipaths sections of the `multipath.conf` configuration file. This parameter allows you to set the 'max_sectors_kb` device queue parameter to the specified value on all underlying paths of a multipath device before the multipath device is first activated. When a multipath device is created, the device inherits the `max_sectors_kb` value from the path devices. Manually raising this value for the multipath device or lowering this value for the path devices can cause multipath to create I/O operations larger than the path devices allow. Using the `max_sectors_kb` `multipath.conf` parameter is an easy way to set these values before a multipath device is created on top of the path devices, and prevent invalid-sized I/O operations from being passed down.
Clone Of: 1291406
: 1414128 (view as bug list)
Environment:
Last Closed: 2017-03-21 10:49:51 UTC
Target Upstream Version:
lilin: needinfo? (shiva.krishna)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0697 normal SHIPPED_LIVE device-mapper-multipath bug fix and enhancement update 2017-03-21 12:39:06 UTC

Comment 3 Ben Marzinski 2016-10-15 19:15:02 UTC
Change backported.

Comment 6 Lin Li 2017-01-05 06:49:59 UTC
hello shivamerla1,
Could you help verify the bug?
This bug was created as a clone of Bug #1291406.
The fix is for RHEL-6.9.

Comment 9 Lin Li 2017-02-06 06:21:33 UTC
hello shivamerla1,
Could you help test the private packages and provide feedback?
This bug was created as a clone of Bug #1291406.
The fix is for RHEL-6.9.

thanks in advance!

Comment 13 errata-xmlrpc 2017-03-21 10:49:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0697.html


Note You need to log in before you can comment on or make changes to this bug.